package com.bocloud.cop.booter.controller.patch;

import com.bocloud.cop.entity.patch.PatchDeployHistory;
import com.bocloud.cop.entity.patch.PatchDeployHistoryDetail;
import com.bocloud.cop.intf.patch.PatchDeployHistoryService;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import com.megatron.common.utils.Common;
import io.swagger.v3.oas.annotations.Operation;
import io.swagger.v3.oas.annotations.tags.Tag;
import jakarta.servlet.http.HttpServletResponse;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * @author zoucg
 * @Company: 博云 www.bocloud.com
 * @ClassName: DeployPatchHistoryController
 * @Description:
 * @DATE: 2022/6/14
 */
@RestController
@RequestMapping("/v1/patchs/deploy/histories")
@Tag(name = "补丁部署历史")
public class PatchDeployHistoryController {

	@Autowired
	private PatchDeployHistoryService patchDeployHistoryService;

	@GetMapping
	@Operation(tags = { "CMC" }, summary = "历史列表")
	public GeneralResult<GridBean<PatchDeployHistory>> historyList(Pager pager,
			@Value(Common.REQ_CONTEXT) RequestContext context) {
		return patchDeployHistoryService.list(pager, context.getTarget());
	}

	@GetMapping(value = "/details")
	@Operation(tags = { "CMC" }, summary = "历史详情列表")
	public GeneralResult<GridBean<PatchDeployHistoryDetail>> detailList(Pager pager) {
		return patchDeployHistoryService.listDetails(pager);
	}

	@GetMapping(value = "/{id}/excel")
	@Operation(tags = { "CMC" }, summary = "历史导出EXCEL")
	public void excel(@PathVariable("id") Long id, HttpServletResponse response) {
		patchDeployHistoryService.excel(id, response);
	}

	@GetMapping(value = "/{id}/pdf")
	@Operation(tags = { "CMC" }, summary = "历史导出PDF")
	public void pdf(@PathVariable("id") Long id, HttpServletResponse response) {
		patchDeployHistoryService.pdf(id, response);
	}
}
