package com.bocloud.cop.booter.listener;

import org.apache.commons.lang3.StringUtils;
import org.springframework.amqp.core.Message;
import org.springframework.amqp.core.MessageListener;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cop.entity.TaskNodeLog;
import com.bocloud.cop.intf.TaskNodeService;
import com.megatron.common.utils.JSONTools;

import lombok.extern.slf4j.Slf4j;

/**
 * worker鎵ц鏃ュ織鐩戝惉鍣�
 *
 * @author weiwei
 */
@Slf4j
@Component("workerLogListener")
public class WorkerLogListener implements MessageListener {

    @Autowired
    private TaskNodeService taskNodeService;

    @Override
    public void onMessage(Message message) {
        String content = new String(message.getBody());
        // log.info("获取worker执行日志信息：{}", content);
        processDebugLog("get software install message:{}", content);
        if (StringUtils.isEmpty(content)) {
            return;
        }
        JSONObject object = JSONTools.isJSONObj(content);
        if (null == object) {
            return;
        }

        TaskNodeLog log = new TaskNodeLog();
        log.setNodeUuid(object.getString("node_id"));
        log.setContent(object.getString("log_content"));
        log.setPriority(object.getInteger("log_index"));
        taskNodeService.create(log);
    }

    private void processDebugLog(String format, Object... objects) {
        if (log.isDebugEnabled()) {
            log.debug(format, objects);
        }
    }

}
