package com.bocloud.cop.entity;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.megatron.common.utils.DateSerializer;
import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 高危命令管理表
 * 
 * @author weiwei
 *
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("command")
public class Command extends Generic {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("name")
    private String name; // 名称
    @Column("level")
    private String level; // 级别
    @Column("content")
    private String content; // 内容
    @IgnoreAll
    private boolean checked;
    @Column("tenant_id")
    private Long tenantId;// 租户ID
    // 创建时间
    @Column("gmt_create")
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtCreate;
    // 修改时间
    @Column("gmt_modify")
    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date gmtModify;
    // 创建人
    @Column("creator_id")
    private Long creatorId;
    // 修改人
    @Column("mender_id")
    private Long menderId;
    @Column("is_deleted")
    private Boolean deleted;

}
