package com.bocloud.cop.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 任务节点模板类
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("task_node_template")
public class NodeTemplate extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("code")
    private String code; // 节点编码
    @Column("input")
    private String input; // 参数
    @Column("module_id")
    private Long moduleId; // 默认参数
    @Column("internal")
    private Boolean internal;
    @IgnoreAll
    private String moduleName;
    @IgnoreAll
    private String creator;

}
