package com.bocloud.cop.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;

import lombok.Data;

/**
 * 主机资源与认证账号的关系表
 *
 * @author hongqingyu
 * @version 1.0
 * @since 2022.06.09
 */
@Data
@Table("resource_permission_relation")
public class ResourcePermissionRelation extends Generic {

    /**
     * id
     */
    @PK(value = PKStrategy.AUTO)
    private Long id;

    /**
     * 资源id
     */
    @Column("resource_id")
    private Long resourceId;

    /**
     * 权限ID
     */
    @Column("permission_id")
    private Long permissionId;

    /**
     * 权限类型
     */
    @Column("permission_type")
    private String permissionType;

    /**
     * 权限类型
     */
    @Column("resource_type")
    private String resourceType;

    public static enum PermissionType {
        /**
         * 用户组
         */
        USERGROUP
    }

    public static enum ResourceType {
        /**
         * 主机
         */
        HOST,
        /**
         * 数据库
         */
        DB,
        /**
         * 网络
         */
        NETWORK
    }

    public ResourcePermissionRelation() {
        super();
    }

    public ResourcePermissionRelation(Long resourceId, Long permissionId, String permissionType, String resourceType) {
        super();
        this.resourceId = resourceId;
        this.permissionId = permissionId;
        this.permissionType = permissionType;
        this.resourceType = resourceType;
    }

}
