package com.bocloud.cop.entity;

import java.util.List;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;

/**
 * 文件分组类
 * 
 * @author weiwei
 * @version 1.0
 * @since 2016.08.16
 * 
 */
@Table("software_group")
public class SoftwareGroup extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("parent_id")
    private Long parentId; // 父节点
    // @Column("tenant_id")
    // private Long tenantId; // 租户ID
    @Column("path")
    private String path;// 文件分组目录
    @IgnoreAll
    private String children;
    @Column("code")
    private String code; // 编码
    @Column("uri")
    private String uri; // 标识符

    @IgnoreAll
    private List<SoftwareGroup> childrenList; // 子分组节点

    /**
     * @return the uri
     */
    public String getUri() {
        return uri;
    }

    /**
     * @param uri
     *            the uri to set
     */
    public void setUri(String uri) {
        this.uri = uri;
    }

    /**
     * @return the code
     */
    public String getCode() {
        return code;
    }

    /**
     * @param code
     *            the code to set
     */
    public void setCode(String code) {
        this.code = code;
    }

    /**
     * @return the children
     */
    public String getChildren() {
        return children;
    }

    /**
     * @param children
     *            the children to set
     */
    public void setChildren(String children) {
        this.children = children;
    }

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id
     *            the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return the parentId
     */
    public Long getParentId() {
        return parentId;
    }

    /**
     * @param parentId
     *            the parentId to set
     */
    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    // /**
    // * @return the tenantId
    // */
    // public Long getTenantId() {
    // return tenantId;
    // }
    //
    // /**
    // * @param tenantId
    // * the tenantId to set
    // */
    // public void setTenantId(Long tenantId) {
    // this.tenantId = tenantId;
    // }

    /**
     * @return the path
     */
    public String getPath() {
        return path;
    }

    /**
     * @param path
     *            the path to set
     */
    public void setPath(String path) {
        this.path = path;
    }

    public void setChildrenList(List<SoftwareGroup> childrenList) {
        this.childrenList = childrenList;
    }

    public List<SoftwareGroup> getChildrenList() {
        return childrenList;
    }
}
