package com.bocloud.cop.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author zoucg
 * @Company: 博云 www.bocloud.com
 * @ClassName: SoftwareTenant
 * @Description:
 * @DATE: 2022/9/14
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table("software_tenant")
public class SoftwareTenant extends Generic {

    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("software_id")
    private Long softwareId;
    @Column("tenant_id")
    private Long tenantId;

    @IgnoreAll
    private List<Long> softwareIds;

    public SoftwareTenant(Long softwareId, Long tenantId){
        this.softwareId = softwareId;
        this.tenantId = tenantId;
    }

}
