package com.bocloud.cop.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author lyy
 * @date 2023年04月03日 17:49
 */
@Table("task_instance_host")
@Data
@AllArgsConstructor
@NoArgsConstructor
public class TaskInstanceHost extends Generic {
    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("host")
    private String host;
    @Column("instance_id")
    private Long instanceId;
    /**
     * 任务执行引擎
     */
    @Column("execute_host")
    private String executeHost;

    /**
     * 任务执行worker
     */
    @Column("execute_worker")
    private String executeWorker;

    @Column("node_id")
    private Long nodeId;

    @Column("node_name")
    private String nodeName;

    @IgnoreAll
    private String status;

    //连接用户
    @IgnoreAll
    private String user;

    //执行用户
    @IgnoreAll
    private String becomeUser;

}
