package com.bocloud.cop.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 任务主机表
 * 
 * @author weiwei
 * @version 1.0
 * @since 2017.01.17
 *
 */
@Data
@EqualsAndHashCode(callSuper = true)
@AllArgsConstructor
@NoArgsConstructor
@Table("task_instance_job")
public class TaskInstanceJob extends Generic {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("task_id")
    private String taskId;
    @Column("job")
    private String job;
    @Column("priority")
    private Integer priority;

    public TaskInstanceJob(String taskId, String job) {
        super();
        this.taskId = taskId;
        this.job = job;
    }

    public TaskInstanceJob(String taskId, String job,Integer priority) {
        super();
        this.taskId = taskId;
        this.job = job;
        this.priority = priority;
    }

}
