package com.bocloud.cop.entity;

import com.bocloud.cop.annotation.ColumnType;
import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.Ignore;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.Data;

/**
 * 任务节点日志表
 * 
 * @author weiwei
 */
@Data
@Table("task_node_log_bak")
public class TaskNodeLogBak extends Generic {

    @PK(value = PKStrategy.SELF)
    private Long id; // ID
    @Column("node_id")
    private Long nodeId;
    @Column("instance_id")
    private Long instanceId;
    @ColumnType(value = "longtext")
    @Column("content")
    private String content;
    @Column("priority")
    private Integer priority;
    @Column(value="node_uuid",length = 64)
    private String nodeUuid;
    @Ignore
    private boolean last;
}
