package com.bocloud.cop.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author zoucg
 * @Company: 博云 www.bocloud.com
 * @ClassName: TaskTemplateTenant
 * @Description:
 * @DATE: 2022/9/14
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Table("task_template_tenant")
public class TaskTemplateTenant extends Generic {

    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("template_id")
    private Long templateId;
    @Column("tenant_id")
    private Long tenantId;

    @IgnoreAll
    private List<Long> templateIds;

    public TaskTemplateTenant(Long templateId, Long tenantId){
        this.templateId = templateId;
        this.tenantId = tenantId;
    }

}
