package com.bocloud.cop.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("task_worker")
public class TaskWorker extends GenericEntity {

    /**
     * 主键ID
     */
    @PK(value = PKStrategy.AUTO)
    private Long id;
    /**
     * worker实例地址
     */
    @Column("instance")
    private String instance;
    /**
     * worker 实例类别
     */
    @Column("category")
    private Category category;
    /**
     * 协议类型
     */
    @Column("protocol")
    private String protocol;
    @Column("uri")
    private String uri;
    @Column("username")
    private String username;
    @Column("password")
    private String password;
    @Column("count")
    private Long count;
    @Column("is_super")
    private Boolean isSuper;
    @Column("group_id")
    private Long groupId;
    @Column("is_exclude")
    private Boolean isExclude;
    @IgnoreAll
    private String groupName;
    @IgnoreAll
    private Integer tasks;

    public enum Category {
        /**
         * Ansible 类型worker
         */
        Ansible,
        /**
         * SaltStack类型worker
         */
        SaltMaster;
    }
    
    public Boolean getIsSuper() {
        return null == isSuper ? false : isSuper;
    }

}
