package com.bocloud.cop.entity.compare;


import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;
import lombok.Data;

/**
 * @Author liuyuanyuan
 * @Date 2022-10-293 15:42:00
 * @Description:
 */
@Data
@Table("task_instance_document_comparison_item")
public class TaskInstanceDocumentComparisonItem extends GenericEntity {

    /**
     * id
     */
    @PK(value = PKStrategy.AUTO)
    private Long id;

    /**
     * 文件对比任务实例id
     */
    @Column("document_comparison_instance_id")
    private Long documentComparisonInstanceId;

    /**
     * 源文件
     */
    @Column("source_file")
    private String sourceFile;

    /**
     * 源文件id
     */
    @Column("source_file_id")
    private Long sourceFileId;

    /**
     * 目标文件
     */
    @Column("target_file")
    private String targetFile;

    /**
     * 目标文件id
     */
    @Column("target_file_id")
    private Long targetFileId;

    /**
     * 主机文件路径:跨机对比中多个路径不能相同;历史对比中同一个任务中的路径不能相同
     */
    @Column("host_file_path")
    private String hostFilePath;

    /**
     * 是否存在差异 0 不存在差异 ; 1存在差异
     */
    @Column("contrast")
    private Boolean contrast;

    /**
     * 源主机
     */
    @Column("source_host")
    private String sourceHost;

    /**
     * 目标主机
     */
    @Column("target_host")
    private String targetHost;

    /**
     * 源文件MD5
     */
    @Column("source_md5")
    private String sourceMd5;

    /**
     * 目标文件MD5
     */
    @Column("target_md5")
    private String targetMd5;

}