package com.bocloud.cop.entity.inspection;

import java.util.List;

import com.alibaba.fastjson.JSONObject;
import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("inspect_group")
public class InspectGroup extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column
    private Long inspectId;
    @Column
    private Object target; // 目标机器列表
    @Column
    private Object customParams;// JSON_ARRAY STRING
    @Column
    private Integer timeout;
    @Column
    private String executeType; // 执行类型0 remote 1 agent
    @Column
    private String resourceType;

    @IgnoreAll
    private List<Long> itemIds;

    public String getTarget() {
        if (null == target) {
            return null;
        }
        if (target instanceof String) {
            return target.toString();
        }
        return JSONObject.toJSONString(target);
    }

    public String getCustomParams() {
        if (null == customParams) {
            return null;
        }
        if (customParams instanceof String) {
            return customParams.toString();
        }
        return JSONObject.toJSONString(customParams);
    }

}
