package com.bocloud.cop.entity.inspection;

import java.util.List;

import com.alibaba.fastjson.JSONObject;
import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("inspect_record")
public class InspectRecord extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID

    public enum Status {
        // 启动中，执行中（启动成功） 执行成功 执行错误
        STARTING, RUNNING, SUCCESS, ERROR
    }

    public enum Type {
        // 快速 常规巡检 定时巡检
        FAST, ROUTINE, TIMING, MANUAL
    }

    @Column
    private Boolean warning;
    @IgnoreAll
    private List<InspectRecordItem> recordItems;
    @IgnoreAll
    private List<InspectRecordWarning> recordWarnings;
    @IgnoreAll
    private List<JSONObject> itemDetail; // 基线详情
    @IgnoreAll
    private List<JSONObject> hostDetail; // 设备详情
    @IgnoreAll
    private List<JSONObject> complianceDetail; // 合规详情
    @IgnoreAll
    private List<JSONObject> errorDetail; // 错误详情
    @Column
    private Double totalTime;// 创建时间-执行完成的时间
    @Column
    private Integer executeType = 0;
    @Column
    private String keyStamp;
    @Column
    private Long inspectId;
    @Column
    private Long timingId;
    @Column
    private String category; // 巡检分类
    @IgnoreAll
    private String inspectResultStatus; // 巡检结果
    @IgnoreAll
    private String creator; // 创建人
    @Column
    private Integer itemNum; // 基线检查项数据量
    @Column
    private Integer hostNum; // 服务器数量
    @Column
    private Integer noPassHostNum; // 不合规服务器数量
    @Column
    private Integer noPassItemNum; // 不合规基线项数量
    @Column
    private String passRates; // 合规通过率
    @Column
    private String type;

}
