package com.bocloud.cop.entity.inspection;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("inspect_record_item")
public class InspectRecordItem extends GenericEntity implements RecordItem {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column
    private Long recordId;
    @Column
    private String groupName;
    @Column
    private String ip;
    @Column
    private Long itemId;// 巡检项ID
    @Column
    private String itemName;
    @Column
    private String maxWarning;
    @Column
    private Boolean warning;

    @Column
    private String log;
    @Column
    private String scriptErrorInfo;
    @Column
    private Long jobInstanceId;
    @Column
    private Long jobNodeId;
    @Column
    private String warningInfo;
    @Column
    private String inspectResult;
    @Column
    private Long hostId;
    @Column
    private String hostName;
    @Column
    private String targetRule;
    @Column
    private String result;

    @Override
    public Boolean hasFinished() {
        return !getStatus().equals(Status.RUNNING.name());
    }

    @Override
    public Long getJobNodeId() {
        return jobNodeId;
    }

    public enum Status {
        RUNNING, SUCCESS, ERROR
    }

}
