package com.bocloud.cop.entity.inspection;

import java.util.Date;

import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.megatron.common.utils.DateSerializer;
import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 定时巡检
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("inspect_timing")
public class InspectTiming extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column
    private String cron;
    @Column
    private Long inspectId;
    @Column
    private Boolean running;
    @Column
    private String category; // 巡检分类
    @Column
    private String type;

    @JsonSerialize(using = DateSerializer.class)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Column
    private Date runTime;
    @Column
    private Boolean isLoop;

    @IgnoreAll
    private Inspect routine;
    @IgnoreAll
    private String creator;
    @IgnoreAll
    private String mender;

    public enum Type {
        COMPLIANCE, INSPECTION
    }

}
