package com.bocloud.cop.entity.module;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author zoucg
 * @Company: 博云 www.bocloud.com
 * @ClassName: TaskNodeModuleParam
 * @Description:
 * @DATE: 2022/6/29
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("task_node_module_param")
public class TaskNodeModuleParam extends Generic {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("code")
    private String code;
    @Column("name")
    private String name;
    @Column("type")
    private String type;
    @Column("is_required")
    private Boolean isRequired;
    @Column("default_value")
    private Object defaultValue;
    @Column("order_num")
    private Integer orderNum;
    @Column("module_id")
    private Long moduleId;
    @Column("is_default")
    private Boolean isDefault;
    @Column("x")
    private int x;
    @Column("y")
    private int y;
    @Column("w")
    private int w;
    @Column("h")
    private int h;
    @Column("depend")
    private Boolean depend;
    @Column("internal")
    private Boolean internal;

    @Column("min_value")
    private Integer minValue;
    @Column("max_value")
    private Integer maxValue;
    @Column("decimal_num")
    private Integer decimalNum;
    @Column("unit")
    private String unit;

    @IgnoreAll
    private List<TaskNodeModuleParamItem> paramItems;

}