package com.bocloud.cop.entity.module;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;


/**
 * @author zoucg
 * @Company: 博云 www.bocloud.com
 * @ClassName: TaskNodeModuleScript
 * @Description:
 * @DATE: 2022/6/29
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("task_node_module_script")
public class TaskNodeModuleScript extends Generic {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("name")
    private String name;
    @Column("order_num")
    private Integer orderNum;
    @Column("module_id")
    private Long moduleId;
    @Column("category")
    private String category;
    @Column("content")
    private String content; // 脚本内容
    @Column("runnable")
    private Boolean runnable; // 主脚本
    @Column("owner_group")
    private String ownerGroup;  // 脚本所属组
    @Column("owner")
    private String owner; // 脚本所属人
    @Column("dest")
    private String dest; // 执行路径
    @Column("mode")
    private String mode; // 脚本权限
    @Column("operator")
    private String operator; // 脚本执行人

}