package com.bocloud.cop.enums;

import org.apache.commons.lang3.StringUtils;

/**
 * 认证模式
 * 
 * @author dmw
 *
 */
public enum AuthenMode {

    /**
     * 互信认证，不需要用户名和密码
     */
    TRUST,
    /**
     * 单一认证，每个目标主机都要有认证账户和密码
     */
    SINGLE,
    /**
     * 认证账号，每个目标主机都要有认证账户和密码
     */
    ACCOUNT,
    /**
     * 批量认证，多个目标主机公用一个认证账号和密码
     */
    BATCH;

    public static boolean hasValue(String value) {
        if (StringUtils.isEmpty(value)) {
            return false;
        }
        AuthenMode[] modes = AuthenMode.values();
        for (AuthenMode mode : modes) {
            if (mode.name().equalsIgnoreCase(value)) {
                return true;
            }
        }
        return false;
    }
}
