package com.bocloud.cop.model;

/**
 * 与Worker服务交互的主机sudo对象
 * 
 * @author sxp
 * @since Dec 27, 2017
 */
public class SudoArg {
	/**
	 * 用户名或组名
	 */
	private String name;

	/**
	 * 以sudo方式运行命令的主机（一台或多台）
	 */
	private String hosts;

	/**
	 * 想让用户或组运行的一个或几个根级别命令
	 */
	private String commands;

	/**
	 * 作为哪个用户运行，常见选项是root和ALL
	 */
	private String operators;

	/**
	 * 可选命令，例如可以指定使用sudo是不输入密码
	 */
	private String tags;

	/**
	 * 注释
	 */
	private String comment;

	public SudoArg() {
		super();
	}

	public SudoArg(String name, String hosts, String commands, String operators, String tags, String comment) {
		super();
		this.name = name;
		this.hosts = hosts;
		this.commands = commands;
		this.operators = operators;
		this.tags = tags;
		this.comment = comment;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getHosts() {
		return hosts;
	}

	public void setHosts(String hosts) {
		this.hosts = hosts;
	}

	public String getCommands() {
		return commands;
	}

	public void setCommands(String commands) {
		this.commands = commands;
	}

	public String getOperators() {
		return operators;
	}

	public void setOperators(String operators) {
		this.operators = operators;
	}

	public String getTags() {
		return tags;
	}

	public void setTags(String tags) {
		this.tags = tags;
	}

	public String getComment() {
		return comment;
	}

	public void setComment(String comment) {
		this.comment = comment;
	}

	@Override
	public String toString() {
		return "SudoArg [name=" + name + ", hosts=" + hosts + ", commands=" + commands + ", operators=" + operators
				+ ", tags=" + tags + ", comment=" + comment + "]";
	}

}
