package com.bocloud.cop.model;

import java.util.List;

import com.alibaba.fastjson.JSONArray;
import com.megatron.entity.annotations.Column;

import lombok.Data;

/**
 * 任务主机表
 * 
 * @author weiwei
 * @version 1.0
 * @since 2017.01.17
 *
 */
@Data
public class TaskHostBean {
    /**
     * ID
     */
    private Long id;
    /**
     * 名称
     */
    private String name;
    /**
     * IP地址
     */
    private String ip;
    /**
     * 状态
     */
    private String status;
    /**
     * 用户名
     */
    private String username;
    /**
     * 密码
     */
    private String password;
    private Object ips;
    /**
     *  类型（小类）
     */
    private String category;
    /**
     *  操作系统类型
     */
    private String osCategory;
    /**
     * 操作系统版本号
     */
    private String osName;

    /**
     * 作系统版本号
     */
    private String osVersion;

    /**
     * 连接协议
     */
    private String connProtocol;
    private Long segmentId;
    private String vendorType;
    private String updateMode;

    /**
     * 连接协议列表
     */
    private List<String> connProtocols;

    /**
     * 关联认证账号id
     */
    private List<Long> identificationIds;

    /**
     * 数据中心
     */
    private String dataCenter;
    /**
     * 机房
     */
    private String room;
    /**
     * 机柜
     */
    private String rack;
    /**
     * 槽位
     */
    private String slot;


    public String getIpsStr(){
        return null == ips ? null :JSONArray.toJSONString(ips);
    }

}
