package com.bocloud.cop.model;

import java.util.Date;
import java.util.List;

import com.alibaba.fastjson.JSONObject;
import com.megatron.common.model.RequestContext;
import com.megatron.entity.bean.GenericEntity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 任务节点类
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class TaskNodeBean extends GenericEntity {

    /**
     * ID
     */
    private Long id;

    /**
     * 任务ID
     */
    private String uuid;

    /**
     * 节点编码
     */
    private String code;

    /**
     * 节点类型
     */
    private String category;

    /**
     * 节点分类
     */
    private String catalog;

    /**
     * 参数
     */
    private JSONObject input;

    /**
     * 输出
     */
    private String output;

    /**
     * 默认参数
     */
    private String content;

    /**
     * 回滚
     */
    private String rollbacks;

    /**
     * 配置信息
     */
    private NodeConfig config;

    /**
     * 控制信息
     */
    private NodeControl control;

    /**
     * 任务耗时
     */
    private Double cost;

    /**
     * 节点ID
     */
    private String nodeId;

    /**
     * 实例ID
     */
    private Long instanceId;

    /**
     * 开始时间
     */
    private Date gmtStart;

    /**
     * 结束时间
     */
    private Date gmtFinish;

    /**
     * 成功的
     */
    private List<Object> successes;

    /**
     * 失败的
     */
    private List<Object> failures;

    private String moduleType;

    private JSONObject outputs;

    private RequestContext context;

    private Boolean dicision;

    private String params;

    private Long createrId;

    private Integer level;

    private Integer sort;

}
