package com.bocloud.cop.model;

import com.alibaba.fastjson.JSONObject;
import com.megatron.common.enums.OSCategory;
import lombok.Data;
import java.util.List;

/**
 * Worker请求目标封装类
 *
 * @author dmw
 */
@Data
public class WorkerHost {

    private Long id;
    private String host;// 主机IP
    private String user;// 操作账号
    private String pasd;// 账号密码
    private Integer port;// SSH端口，默认22
    private String task;// 关联的任务名称
    private String rawName;// 主机名称
    private String category = OSCategory.LINUX.name();// 操作系统类型，默认Linux
    private String connection;
    private Boolean sudo;
    private Long segmentId;
    private Boolean share;
    private List<JSONObject> identifications;
    /**
     * 是否提权
     */
    private Boolean become;
    /**
     * 提权用户
     */
    private String becomeUser;
    /**
     * 提权方式 WINDOWS:runnas LINUX:sudo/su
     */
    private String becomeMethod;
    /**
     * 提权密码
     */
    private String becomePass;
    /** 认证账号ID **/
    private Long identId;
    /**
     * 是否游离。默认非游离 游离的使用自身的becomeUser，becomePass;非游离的会使用统一的账号密码填充账号密码的缺失项
     */
    private boolean free;
    /** saltmaster ID **/
    private Long saltId;

    public WorkerHost() {
        super();
    }

    public WorkerHost(String host, String connection) {
        super();
        this.host = host;
        this.connection = connection;
    }

    public WorkerHost(String host, String user, String pasd, Integer port, OSCategory category, Long segmentId) {
        super();
        this.host = host;
        this.user = user;
        this.pasd = pasd;
        this.category = category.name();
        this.segmentId = segmentId;
        if (null == port || 0 >= port) {
            switch (category) {
                case WINDOWS:
                    this.port = 5985;
                    break;
                case LINUX:
                    this.port = 22;
                    break;
                case UNIX:
                    this.port = 22;
                    break;
                default:
                    this.port = 22;
                    break;
            }
        } else {
            this.port = port;
        }
    }

    public WorkerHost(Long id, String host, String user, String pasd, Integer port, OSCategory category) {
        super();
        this.id = id;
        this.host = host;
        this.user = user;
        this.pasd = pasd;
        this.category = category.name();
        if (null == port || 0 >= port) {
            switch (category) {
                case WINDOWS:
                    this.port = 5985;
                    break;
                case LINUX:
                    this.port = 22;
                    break;
                case UNIX:
                    this.port = 22;
                    break;
                default:
                    this.port = 22;
                    break;
            }
        } else {
            this.port = port;
        }
    }

}
