package com.bocloud.cop.repository;

import java.util.List;

import com.megatron.framework.core.CurrentService;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import com.bocloud.cop.entity.RoleCommand;
import com.megatron.common.utils.MapTools;
import com.megatron.database.core.intf.impl.BasicGenericDao;

/**
 * 角色-命令DAO接口实现
 */
@Repository("roleCommandRepository")
public class RoleCommandRepository extends BasicGenericDao<RoleCommand, Long> {

    public RoleCommandRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate, CurrentService service) {
        super(jdbcTemplate, npJdbcTemplate, service);
    }

    public List<RoleCommand> list(Long roleId) {
        String sql = "select * from role_command where role_id = :roleId";
        return this.list(RoleCommand.class, sql, MapTools.simpleMap("roleId", roleId));
    }

    public boolean deleteByRid(Long roleId) {
        String sql = "delete from role_command where role_id = :roleId";
        return this.execute(sql, MapTools.simpleMap("roleId", roleId)) > 0;
    }

    public boolean deleteByCid(Long commandId) {
        String sql = "delete from role_command where command_id = :commandId";
        return this.execute(sql, MapTools.simpleMap("commandId", commandId)) > 0;
    }

}
