package com.bocloud.cop.repository.backup;

import com.bocloud.cop.entity.backup.TaskBackupInstance;
import com.megatron.common.utils.MapTools;
import com.megatron.database.core.intf.impl.BasicGenericDao;
import com.megatron.framework.core.CurrentService;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;
import java.util.List;
import java.util.Map;

/**
 * @author huliwei
 * @date 2022/10/19
 */
@Repository("taskBackupInstanceRepository")
public class TaskBackupInstanceRepository extends BasicGenericDao<TaskBackupInstance, Long> {
    public TaskBackupInstanceRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate, CurrentService service) {
        super(jdbcTemplate, npJdbcTemplate, service);
    }

    public List<TaskBackupInstance> listByBackupId(Long backupId) throws Exception {
        String sql = "select * from task_backup_instance a where a.backup_id = :backupId ";
        Map<String, Object> params = MapTools.simpleMap("backupId", backupId);
        return this.list(TaskBackupInstance.class, sql, params);
    }
}
