package com.bocloud.cop.repository.inspection;

import java.util.List;
import java.util.Map;

import com.megatron.framework.core.CurrentService;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import com.bocloud.cop.entity.inspection.InspectGroupItem;
import com.megatron.common.utils.MapTools;
import com.megatron.database.core.intf.impl.BasicGenericDao;

@Repository("inspectGroupItemRepository")
public class InspectGroupItemRepository extends BasicGenericDao<InspectGroupItem, Long> {

    public InspectGroupItemRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate, CurrentService service) {
        super(jdbcTemplate, npJdbcTemplate, service);
    }

    public List<InspectGroupItem> findAllByRoutineGroupId(Long groupId) {
        String sql = "select a.* from inspect_group_item a where a.group_id =:groupId ";
        return this.list(InspectGroupItem.class, sql, MapTools.simpleMap("groupId", groupId));
    }

    public Integer deleteByRoutineId(Long inspectId, Long menderId) {
        String sql = "delete from inspect_group_item  where inspect_id =:inspectId";
        Map<String, Object> params = MapTools.simpleMap("inspectId", inspectId);
        params.put("menderId", menderId);
        return this.execute(sql, params);
    }

    public Integer deleteByItemId(Long itemId, Long menderId) {
        String sql = "delete from inspect_group_item where item_id = :itemId";
        Map<String, Object> params = MapTools.simpleMap("itemId", itemId);
        params.put("menderId", menderId);
        return this.execute(sql, params);
    }

    public Long count(Long itemId) {
        String sql = "select count(a.id) from inspect_group_item a where a.item_id= :itemId ";
        return this.countQuery(sql, MapTools.simpleMap("itemId", itemId));
    }

}
