package com.bocloud.cop.repository.inspection;

import com.megatron.framework.core.CurrentService;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import com.bocloud.cop.entity.inspection.InspectItemWarn;
import com.megatron.common.utils.MapTools;
import com.megatron.database.core.intf.impl.BasicGenericDao;

@Repository("inspectItemWarnRepository")
public class InspectItemWarnRepository extends BasicGenericDao<InspectItemWarn, Long> {

    public InspectItemWarnRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate, CurrentService service) {
        super(jdbcTemplate, npJdbcTemplate, service);
    }

    public Integer deleteByItemId(Long itemId) {
        String sql = "update inspect_item_warn set is_deleted = 1 where item_id = :itemId";
        return this.execute(sql, MapTools.simpleMap("itemId", itemId));
    }

    public Long countAllByRoutineId(Long warnId) {
        String sql = "select count(a.id) from inspect_item_warn a where a.warn_id= :warnId and a.is_deleted = 0";
        return this.countQuery(sql, MapTools.simpleMap("warnId", warnId));
    }

}
