package com.bocloud.cop.repository.module;

import java.util.List;
import java.util.Set;

import com.megatron.framework.core.CurrentService;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import com.bocloud.cop.entity.module.TaskNodeModuleParam;
import com.megatron.common.utils.MapTools;
import com.megatron.database.core.intf.impl.BasicGenericDao;

/**
 * @author zoucg
 * @Company: 博云 www.bocloud.com
 * @ClassName: TaskNodeModuleParamRepository
 * @Description: 自定义属性
 * @DATE: 2022/6/29
 */
@Repository("taskNodeModuleParamRepository")
public class TaskNodeModuleParamRepository extends BasicGenericDao<TaskNodeModuleParam, Long> {

    public TaskNodeModuleParamRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate, CurrentService service) {
        super(jdbcTemplate, npJdbcTemplate, service);
    }

    public List<TaskNodeModuleParam> queryByModuleId(Long moduleId) {
        String sql = "select * from task_node_module_param where module_id = :moduleId";
        return this.list(TaskNodeModuleParam.class, sql, MapTools.simpleMap("moduleId", moduleId));
    }

    public Boolean deleteByIds(Set<Long> ids) {
        String sql = "delete from task_node_module_param where id in(:ids)";
        return this.execute(sql, MapTools.simpleMap("ids", ids)) > 0;
    }

}
