package com.bocloud.cop.repository.module;

import java.util.List;
import java.util.Set;

import com.megatron.framework.core.CurrentService;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import com.bocloud.cop.entity.module.TaskNodeModuleScript;
import com.megatron.common.utils.Common;
import com.megatron.common.utils.MapTools;
import com.megatron.database.core.intf.impl.BasicGenericDao;

/**
 * @author zoucg
 * @Company: 博云 www.bocloud.com
 * @ClassName: TaskNodeModuleScriptRepository
 * @Description: 组件自定义属性分组
 * @DATE: 2022/6/29
 */
@Repository("taskNodeModuleScriptRepository")
public class TaskNodeModuleScriptRepository extends BasicGenericDao<TaskNodeModuleScript, Long> {

    public TaskNodeModuleScriptRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate npJdbcTemplate, CurrentService service) {
        super(jdbcTemplate, npJdbcTemplate, service);
    }

    public List<TaskNodeModuleScript> queryByModuleId(Long moduleId) {
        String sql = "select a.* from task_node_module_script a where a.module_id = :moduleId order by a.order_num";
        return this.list(TaskNodeModuleScript.class, sql, MapTools.simpleMap("moduleId", moduleId));
    }

    public boolean delete(Long id) {
        String sql = "delete from task_node_module_script where id = :id";
        return this.execute(sql, MapTools.simpleMap(Common.ID, id)) > 0;
    }

    public boolean deleteByIds(Set<Long> ids) {
        String sql = "delete from task_node_module_script where id in(:ids)";
        return this.execute(sql, MapTools.simpleMap("ids", ids)) > 0;
    }

}