package com.bocloud.cop.repository.patch;

import com.bocloud.cop.entity.patch.Patch;
import com.megatron.common.model.Pager;
import com.megatron.common.model.Param;
import com.megatron.common.utils.MapTools;
import com.megatron.database.core.intf.impl.JdbcGenericDao;
import com.megatron.framework.core.CurrentService;
import org.springframework.jdbc.core.JdbcTemplate;
import org.springframework.jdbc.core.namedparam.NamedParameterJdbcTemplate;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author zoucg
 * @Company: 博云 www.bocloud.com
 * @ClassName: PatchRepository
 * @Description:
 * @DATE: 2022/6/13
 */
@Repository("patchRepository")
public class PatchRepository extends JdbcGenericDao<Patch, Long> {

    public PatchRepository(JdbcTemplate jdbcTemplate, NamedParameterJdbcTemplate namedParameterJdbcTemplate, CurrentService service) {
        super(jdbcTemplate, namedParameterJdbcTemplate, service);
    }

    public int count(List<Param> params) {
        String sql = "select count(1) from patch a where a.is_deleted = 0 ";
        sql = this.getQueryBuilder().build(sql, params, null, "a");
        return this.countQuery(sql, this.getQueryBuilder().getParam(params)).intValue();
    }

    public List<Patch> list(Pager pager) {
        String sql = "select * from patch a  where a.is_deleted = 0 ";
        sql = this.getQueryBuilder().buildRaw(sql, pager, "a");
        return this.list(Patch.class, sql);
    }

    public boolean updateStatus(Long id, String status, Long userId) {
        String sql = "update patch set status = :status, gmt_modify = :gmtModify, mender_id = :menderId where id = :id";
        Map<String, Object> params = MapTools.simpleMap("id", id);
        params.put("gmtModify", new Date());
        params.put("menderId", userId);
        params.put("status", status);
        return this.execute(sql, params) > 0;
    }

    public List<Patch> queryByIds(List<Long> ids) {
        String sql = " select a.* from patch a  where  a.is_deleted = 0 and a.id in(:ids) ";
        return this.list(Patch.class, sql, MapTools.simpleMap("ids", ids));
    }

}
