package com.bocloud.cop.intf;

import java.util.List;

import com.bocloud.cop.entity.module.NodeModuleGroup;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.RequestContext;

/**
 * 脚本分组抽象Service接口
 */
public interface NodeModuleGroupService {

    /**
     * 查询脚本分组树
     * 
     * @param parentId
     * @return
     */
    public GeneralResult<List<NodeModuleGroup>> list(Long parentId);

    /**
     * 创建脚本
     * 
     * @param group
     * @return
     */
    public GeneralResult<Void> create(NodeModuleGroup group);

    /**
     * 更新脚本
     * 
     * @param group
     * @param userId
     * @return
     */
    public GeneralResult<Void> modify(NodeModuleGroup group, Long userId);

    /**
     * 删除脚本
     * 
     * @param id
     * @param userId
     * @return
     */
    public GeneralResult<Void> remove(Long id, Long userId);

    /**
     * 查看脚本详情
     * 
     * @param id
     * @return
     */
    public GeneralResult<NodeModuleGroup> detail(Long id);

    public GeneralResult<List<NodeModuleGroup>> listAllNodes(String code, String executeType, RequestContext context);

}
