package com.bocloud.cop.intf;

import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import com.bocloud.cop.entity.module.NodeModule;
import com.bocloud.cop.entity.module.TaskNodeModuleParam;

import java.util.List;

/**
 * 编排节点模型service
 *
 * @author weiwei
 * @version 1.0
 * @since 2018年12月19日
 */
public interface NodeModuleService {

	/**
	 * 查询资源模型列表
	 *
	 * @param pager
	 * @return
	 */
	public GeneralResult<GridBean<NodeModule>> list(Pager pager);

	/**
	 * 查看编排模型详情
	 *
	 * @param id
	 * @return
	 */
	public GeneralResult<NodeModule> detail(Long id);

	public GeneralResult<NodeModule> detailByCode(String code);
	/**
	 * 创建
	 * 
	 * @param module
	 * @return
	 */
	public GeneralResult<Void> create(NodeModule module);

	/**
	 * 更新
	 * 
	 * @param module
	 * @param userId
	 * @return
	 */
	public GeneralResult<Void> modify(NodeModule module, Long userId);

	/**
	 * 删除
	 * 
	 * @param id
	 * @param userId
	 * @return
	 */
	public GeneralResult<Void> remove(Long id, Long userId);

	/**
	 * 查询所有作业模型
	 * 
	 * @return
	 */
	public List<NodeModule> listAll();

	/***
	 * 设置默认安装参数
	 */
	public GeneralResult<Void> settingDefaultParams(Long moduleId, List<TaskNodeModuleParam> taskNodeModuleParams);

	/**
	 * 查看默认参数
	 */
	public GeneralResult<List<TaskNodeModuleParam>> defaultInfo(String code);

	/***
	 * 发布下架
	 */
	public GeneralResult<Void> updateStatus(Long moduleId, String status, RequestContext context);

}
