package com.bocloud.cop.intf;

import java.util.List;

import com.bocloud.cop.entity.ScriptGroup;
import com.bocloud.cop.model.ScriptGroupBean;
import com.megatron.common.model.GeneralResult;

/**
 * 脚本分组抽象Service接口
 * 
 * @author wei wei
 * @version 1.0
 * @since 2016.08.16
 */
public interface ScriptGroupService {

    /**
     * 查询脚本分组树
     * 
     * @param parentId
     * @return
     */
    public GeneralResult<List<ScriptGroup>> list(Long parentId);

    /**
     * 创建脚本
     * 
     * @param group
     * @return
     */
    public GeneralResult<Void> create(ScriptGroup group);

    /**
     * 更新脚本
     * 
     * @param bean
     * @param userId
     * @return
     */
    public GeneralResult<Void> modify(ScriptGroupBean bean, Long userId);

    /**
     * 删除脚本
     * 
     * @param id
     * @param userId
     * @return
     */
    public GeneralResult<Void> remove(Long id, Long userId);

    /**
     * 查看脚本详情
     * 
     * @param id
     * @return
     */
    public GeneralResult<ScriptGroup> detail(Long id);

}
