package com.bocloud.cop.intf;

import java.util.List;

import com.bocloud.cop.entity.SoftwareGroup;
import com.bocloud.cop.model.SoftwareGroupBean;
import com.megatron.common.model.GeneralResult;

/**
 * 软件分组抽象Service接口
 * 
 * @author wei wei
 * @version 1.0
 * @since 2016.08.16
 */
public interface SoftwareGroupService {

    /**
     * 查询软件分组树
     * 
     * @param parentId
     * @return
     */
    public GeneralResult<List<SoftwareGroup>> list(Long parentId);

    /**
     * 创建软件
     * 
     * @param group
     * @return
     */
    public GeneralResult<Void> create(SoftwareGroup group);

    /**
     * 更新软件
     * 
     * @param bean
     * @param userId
     * @return
     */
    public GeneralResult<Void> modify(SoftwareGroupBean bean, Long userId);

    /**
     * 删除软件
     * 
     * @param id
     * @param userId
     * @return
     */
    public GeneralResult<Void> remove(Long id, Long userId);

    /**
     * 查看软件详情
     * 
     * @param id
     * @return
     */
    public GeneralResult<SoftwareGroup> detail(Long id);

}
