package com.bocloud.cop.intf;

import java.util.List;
import java.util.Map;

import com.alibaba.fastjson.JSONArray;
import com.megatron.common.exception.InternalServerException;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.RequestContext;
import com.megatron.common.model.Result;
import com.bocloud.cop.entity.TaskConfig;

public interface TaskConfigService {

    /**
     * 更新配置
     *
     * @param config
     * @return
     */
    Result modify(TaskConfig config) throws InternalServerException;

    /**
     * 批量修改
     *
     * @param list
     * @param context
     * @return
     */
    Result batchUpdate(List<TaskConfig> list, RequestContext context);

    GeneralResult<Map<String, String>> listConfigs(String category, List<String> codes);

    GeneralResult<JSONArray> listCategoryTree(String category);

}
