package com.bocloud.cop.intf;

import com.bocloud.cop.entity.Task;
import com.bocloud.cop.model.params.ScriptTaskParams;
import com.megatron.common.model.GeneralResult;

public interface TaskInstanceApiService {

    /**
     * 查询任务结果
     * 
     * @param instanceId
     *            任务id
     * @return
     */
    GeneralResult<?> getResult(String instanceId);

    /**
     * 构建脚本任务
     * 
     * @param params
     *            执行脚本的参数
     * @return
     */
    GeneralResult<Task> task(ScriptTaskParams params);

    /**
     * 构建重启任务
     * 
     * @param params
     *            任务参数
     * @return
     */
    GeneralResult<Task> reboot(ScriptTaskParams params);

    /**
     * 构建playbook模型任务
     * 
     * @param params
     *            任务参数
     * @return
     */
    GeneralResult<Task> taskTemplate(ScriptTaskParams params);
}
