package com.bocloud.cop.intf;

import com.bocloud.cop.entity.TaskInstanceBak;
import com.bocloud.cop.entity.TaskNodeBak;
import com.bocloud.cop.entity.TaskNodeLogBak;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

/**
 * 备份任务记录Service接口
 *
 * @author majiali
 * @version 1.0
 * @since 2022.11.14
 */
public interface TaskInstanceBakService {

    /**
     * 查询任务记录列表
     *
     * @param pager
     * @param context
     * @return
     */
    public GeneralResult<GridBean<TaskInstanceBak>> list(Pager pager, RequestContext context);

    /**
     * 查询任务记录详细
     *
     * @param id
     * @return
     */
    public GeneralResult<TaskInstanceBak> detail(Long id,String taskInstanceBakName);

    /**
     * 查询作业记录详细
     *
     * @param id
     * @return
     */
    public GeneralResult<TaskNodeBak> detailNode(Long id, String taskInstanceBakName);

    public GeneralResult<TaskNodeLogBak> getLog(Long nodeId, String name, Integer priority, Boolean end);

}
