package com.bocloud.cop.intf;

import com.bocloud.cop.entity.TaskScene;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import com.megatron.common.model.SimpleBean;

public interface TaskSceneService {

    /**
     * 查询任务场景列表
     *
     * @param pager
     * @return
     */
    public GeneralResult<GridBean<TaskScene>> list(Pager pager, RequestContext context);

    public GeneralResult<GridBean<SimpleBean>> simple(Pager pager);

    /**
     * 创建任务场景
     *
     * @param scene
     * @return
     */
    public GeneralResult<Void> create(TaskScene scene);

    /**
     * 更新任务场景
     *
     * @param scene
     * @return
     */
    public GeneralResult<Void> modify(TaskScene scene);

    /**
     * 删除任务场景
     *
     * @param id
     * @param userId
     * @return
     */
    public GeneralResult<Void> remove(Long id, Long userId);

    /**
     * 查看任务场景详情
     *
     * @param id
     * @return
     */
    public GeneralResult<TaskScene> detail(Long id);

}
