package com.bocloud.cop.intf.inspection;

import java.util.List;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cop.model.Target;

import lombok.Data;

public interface ExecuteTaskService {

    void executeItems(RunData data, Long recordId, Long userId);

    @Data
    public static class RunData {
        private String name;
        private List<RunDataGroup> groups;
        private Integer type;
        private Long routineId;// type = ROUTINE,TIMING
        private Long timingId; // type = TIMING
        private String category;
        private String source;
        private String code;
    }

    @Data
    public static class RunDataGroup {
        private String name;
        private String executeType;
        private String account;
        private Target target;
        private Object customParams;
        private List<Long> itemIds;

        public String getCustomParams() {
            if (null == customParams) {
                return null;
            }
            if (customParams instanceof String) {
                return customParams.toString();
            }
            return JSONObject.toJSONString(customParams);
        }

    }

}
