package com.bocloud.cop.intf.inspection;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cop.entity.inspection.InspectRecord;
import com.bocloud.cop.entity.inspection.InspectRecordItem;
import com.bocloud.cop.entity.inspection.InspectRecordWarning;
import com.bocloud.cop.entity.inspection.RecordItem;
import com.bocloud.cop.model.ResultTrend;
import com.bocloud.cop.model.StatResult;
import com.bocloud.cop.model.inspection.ManualInspectRecord;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;
import jakarta.servlet.http.HttpServletResponse;

import java.util.List;
import java.util.Map;

public interface InspectRecordService {

    GeneralResult<InspectRecord> get(Long id);

    Long count(Integer limitDay, Integer executeType, String status, Boolean warning, Long userId, Long accessUserId,
        String type);

    Map<String, Object> countGroupByCategory(Integer limitDay, String type);

    Map<String, Object> getChartData(Integer limitDay, String category, Long userId, String type);

    Map<String, Object> getPeiChartData(Integer limitDay, String category, Long userId, String type);

    GeneralResult<InspectRecord> save(ManualInspectRecord manualInspectRecord, Long userId);

    GeneralResult<GridBean<InspectRecord>> list(Pager pager, Long userId);

    GeneralResult<GridBean<InspectRecordItem>> listItems(Long recordId, Pager pager);

    GeneralResult<GridBean<InspectRecordWarning>> listWarning(Long recordId, Pager pager);

    GeneralResult<GridBean<InspectRecordItem>> listError(Long recordId, Pager pager);

    void pdf(Long id, HttpServletResponse response);

    void excel(Long id, HttpServletResponse response);

    GeneralResult<GridBean<JSONObject>> getDetail(Pager pager, Long id, String type);

    GeneralResult<List<StatResult>> statsStatus(RequestContext context, String type);

    GeneralResult<ResultTrend> statsTrend(RequestContext context, String type);

    GeneralResult<List<InspectRecord>> limit(Pager pager, Long userId);

    void synRecord(String source, Long recordId);

    /**
     * 同步某个任务实例对应的数据
     */
    void synInspectRecord(RecordItem item, DataAdaptorService adaptor);
}
