package com.bocloud.cop.intf.inspection;

import java.util.List;

import com.bocloud.cop.entity.inspection.InspectItem;
import com.bocloud.cop.entity.inspection.InspectTemplate;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;

import lombok.Data;

/**
 * 巡检或合规模板
 */
public interface InspectTemplateService {

    GeneralResult<Void> create(CreateParam param, Long userId);

    GeneralResult<Void> update(UpdateParam param, Long userId);

    GeneralResult<GridBean<InspectTemplate>> list(Pager pager, Long userId);

    GeneralResult<List<InspectItem>> listItems(Long id);

    GeneralResult<Void> delete(Long id, Long userId);

    @Data
    public static class CreateParam {

        private String name;
        private List<Item> item;
        private String type;

        @Data
        public static class Item {
            private Long id;
        }
    }

    @Data
    public static class UpdateParam {
        private Long id;
        private String name;
        private List<Item> item;

        @Data
        public static class Item {
            private Long id;
        }
    }

    @Data
    public static class DeleteParam {
        private List<Long> ids;
    }

}
