package com.bocloud.cop.intf.inspection;

import java.util.List;

import com.bocloud.cop.entity.inspection.InspectWarnLevel;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;

import lombok.Data;

/**
 * 告警模板
 */
public interface InspectWarnService {

    /**
     * 新建
     *
     * @param level
     * @param id
     * @return
     * @throws Exception
     */
    GeneralResult<Void> create(InspectWarnLevel level, Long userId);

    /**
     * 更新
     *
     * @param level
     * @param id
     * @return
     * @throws Exception
     */
    GeneralResult<Void> update(InspectWarnLevel level, Long userId);

    /**
     * 删除
     *
     * @param id
     * @return
     * @throws Exception
     */
    GeneralResult<Void> delete(Long id, Long userId);

    /**
     * 查询
     *
     * @param pager
     * @return
     */
    GeneralResult<GridBean<InspectWarnLevel>> list(Pager pager);

    @Data
    public static class DeleteParam {
        private List<Long> ids;
    }

}
