package com.bocloud.cop.service.compare;

import com.bocloud.cop.entity.compare.TaskInstanceDocumentComparison;
import com.bocloud.cop.entity.compare.TaskInstanceDocumentComparisonItem;
import com.bocloud.cop.intf.compare.TaskInstanceDocumentComparisonItemService;
import com.bocloud.cop.repository.compare.TaskInstanceDocumentComparisonItemRepository;
import com.google.common.collect.Maps;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.SimpleBean;
import com.megatron.common.utils.Common;
import com.megatron.common.utils.GridHelper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Optional;

/**
 * @author huliwei
 * @date 2022/11/9
 */
@Slf4j
@Service("taskInstanceDocumentComparisonItemService")
public class TaskInstanceDocumentComparisonItemServiceImpl implements TaskInstanceDocumentComparisonItemService {

    @Autowired
    private TaskInstanceDocumentComparisonItemRepository comparisonItemRepository;

    @Override
    public GeneralResult<GridBean<TaskInstanceDocumentComparison>> instanceItems(Pager pager) {
        GridBean gridBean;
        try {
            pager.setParams(Optional.ofNullable(pager.getParams()).orElse(new ArrayList<>()));
            pager.setSorter(Optional.ofNullable(pager.getSorter()).orElse(new HashMap<>()));
            pager.getSorter().put(Common.ID, Common.ONE);
            int total = this.comparisonItemRepository.count(pager.getParams());
            if (pager.getSimple()) {
                List<SimpleBean> beans = this.comparisonItemRepository.list(pager.getParams(), pager.getSorter());
                gridBean = new GridBean<>(1, 1, total, beans);
            } else {
                List<TaskInstanceDocumentComparisonItem> list = this.comparisonItemRepository.list(pager.getPage(),
                    pager.getRows(), pager.getParams(), pager.getSorter());
                gridBean = GridHelper.getBean(pager.getPage(), pager.getRows(), total, list);
            }
            return new GeneralResult<GridBean<TaskInstanceDocumentComparison>>(true, gridBean, "查询成功");
        } catch (Exception e) {
            log.error("List Query Is Fail:", e);
            return new GeneralResult<>(false, "查询失败");
        }
    }

}
