package com.bocloud.cop.service.utils;

import java.util.List;
import java.util.UUID;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.bocloud.cop.entity.Task;
import com.bocloud.cop.entity.TaskHost;
import com.bocloud.cop.entity.TaskWorker;
import com.bocloud.cop.model.NodeConfig;
import com.bocloud.cop.model.NodeControl;

public class HostsAllowTaskBuilder {

    public static Task getConfigTask(Long segmentId, String host, String user, String pswd, List<TaskWorker> workers) {
        JSONObject task = new JSONObject();
        task.put("code", "temporary");
        task.put("name", "HostsAllow操作作业");
        task.put("sceneId", 3);
        JSONArray nodes = new JSONArray();
        JSONObject node = new JSONObject();
        node.put("name", "HostsAllow操作");
        node.put("code", "task.maintain.hostallow");
        NodeConfig config = new NodeConfig(UUID.randomUUID().toString(), 0, 350, 300, "script.png", "maintain-node");
        NodeControl control = new NodeControl(false, false, false, 3, 10, 3600);
        node.put("control", control);
        node.put("config", config);
        node.put("input", getInput(segmentId, host, user, pswd, workers));
        nodes.add(node);
        JSONObject graph = new JSONObject();
        graph.put("nodes", nodes);
        task.put("graph", graph);
        return JSONObject.parseObject(task.toJSONString(), Task.class);
    }

    private static JSONObject getInput(Long segmentId, String host, String user, String pswd,
        List<TaskWorker> workers) {
        JSONObject input = new JSONObject();
        JSONObject fronts = new JSONObject();
        fronts.put("state", "present");
        fronts.put("workers", getWorkers(workers));
        input.put("fronts", fronts);
        JSONObject target = new JSONObject();
        target.put("authenMode", "SINGLE");
        target.put("sudo", true);
        target.put("becomeUser", "root");
        JSONArray datas = new JSONArray();
        JSONObject data = new JSONObject();
        data.put("host", host);
        data.put("osName", "Linux");
        data.put("user", user);
        data.put("pasd", pswd);
        data.put("segmentId", segmentId);
        datas.add(data);
        target.put("data", datas);
        input.put("target", target);
        return input;
    }

    private static JSONArray getWorkers(List<TaskWorker> workers) {
        JSONArray array = new JSONArray();
        for (TaskWorker worker : workers) {
            JSONObject object = new JSONObject();
            object.put("id", worker.getId());
            object.put("isSuper", false);
            object.put("instance", worker.getInstance());
            object.put("groupName", worker.getGroupName());
            array.add(object);
        }
        return array;
    }

    public static Task getConfigTask(TaskHost host, List<TaskWorker> workers) {
        JSONObject task = new JSONObject();
        task.put("code", "temporary");
        task.put("name", "HostsAllow操作作业");
        task.put("sceneId", 3);
        JSONArray nodes = new JSONArray();
        JSONObject node = new JSONObject();
        node.put("name", "HostsAllow操作");
        node.put("code", "task.maintain.hostallow");
        NodeConfig config = new NodeConfig(UUID.randomUUID().toString(), 0, 350, 300, "script.png", "maintain-node");
        NodeControl control = new NodeControl(false, false, false, 3, 10, 3600);
        node.put("control", control);
        node.put("config", config);
        node.put("input", getInput(host, workers));
        nodes.add(node);
        JSONObject graph = new JSONObject();
        graph.put("nodes", nodes);
        task.put("graph", graph);
        return JSONObject.parseObject(task.toJSONString(), Task.class);
    }

    private static JSONObject getInput(TaskHost host, List<TaskWorker> workers) {
        JSONObject input = new JSONObject();
        JSONObject fronts = new JSONObject();
        fronts.put("state", "present");
        fronts.put("workers", getWorkers(workers));
        input.put("fronts", fronts);
        JSONObject target = new JSONObject();
        target.put("authenMode", "SINGLE");
        target.put("sudo", true);
        target.put("becomeUser", "root");
        JSONArray datas = new JSONArray();
        JSONObject data = new JSONObject();
        data.put("id", host.getId());
        data.put("host", host.getIp());
        data.put("category", host.getOsCategory());
        data.put("segmentId", host.getSegmentId());
        datas.add(data);
        target.put("data", datas);
        input.put("target", target);
        return input;
    }

}
