package com.bocloud.cop.service.utils;

import java.util.HashMap;
import java.util.Map;

import org.apache.commons.lang3.StringUtils;

import com.megatron.common.enums.OSCategory;

/**
 * OSCategory工具类
 */
public class OsCategoryUtils {
    private static Map<String, OSCategory> categorys = new HashMap<>(OSCategory.values().length);

    static {
        OSCategory[] values = OSCategory.values();
        for (OSCategory v : values) {
            categorys.put(v.name().toLowerCase(), v);
        }
    }

    /**
     * 将字符串转换为OSCategory对象
     */
    public static OSCategory getOSCategory(String category) {
        if (StringUtils.isEmpty(category)) {
            return OSCategory.LINUX;
        }
        String key = category.toLowerCase();
        return categorys.containsKey(key) ? categorys.get(key) : OSCategory.LINUX;
    }

    /**
     * 获取合法的操作系统类别
     */
    public static String getValidOSCategoryName(String categoryName) {
        return getOSCategory(categoryName).name();
    }

    private OsCategoryUtils() {
        throw new IllegalStateException("Utility class");
    }

}
